List org-wide notification rules
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/notifications/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/notifications/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/notifications/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"channels": [
{
"config": {},
"id": 123,
"name": "<string>"
}
],
"cooldown_seconds": 123,
"enabled": true,
"id": 123,
"name": "<string>",
"condition": {}
}
]
}{
"code": "<string>",
"message": "<string>"
}Notifications
List rules
List org-wide notification rules with their linked channels.
GET
/
orgs
/
{org_id}
/
notifications
/
rules
List org-wide notification rules
Org-wide rules (not tied to a single project). 403 if the caller is not a member of the org.
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Response
List of rules with channels
Wrapper for GET /orgs/{org_id}/notifications/rules — org-scoped rules only (project_id is null in storage).
Show child attributes
Show child attributes
⌘I